Log in with a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/passkeys/login/ \
--header 'Content-Type: application/json' \
--data '
{
"ceremony_id": "<string>",
"credential": "<unknown>",
"cookie_auth": false,
"remember_me": false
}
'import requests
url = "https://api.glassmarkets.io/v1/passkeys/login/"
payload = {
"ceremony_id": "<string>",
"credential": "<unknown>",
"cookie_auth": False,
"remember_me": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ceremony_id: '<string>',
credential: '<unknown>',
cookie_auth: false,
remember_me: false
})
};
fetch('https://api.glassmarkets.io/v1/passkeys/login/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"user": {
"username": "<string>",
"first_name": "<string>",
"id": 123,
"last_name": "<string>",
"email": "jsmith@example.com",
"is_staff": true
},
"expiry": "2023-11-07T05:31:56Z",
"token": "<string>",
"csrf_token": "<string>"
}Authentication
Log in with a passkey
Completes a passkey login started with POST /v1/passkeys/login/options/ and returns a session token, like POST /v1/login/.
Log in with a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/passkeys/login/ \
--header 'Content-Type: application/json' \
--data '
{
"ceremony_id": "<string>",
"credential": "<unknown>",
"cookie_auth": false,
"remember_me": false
}
'import requests
url = "https://api.glassmarkets.io/v1/passkeys/login/"
payload = {
"ceremony_id": "<string>",
"credential": "<unknown>",
"cookie_auth": False,
"remember_me": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ceremony_id: '<string>',
credential: '<unknown>',
cookie_auth: false,
remember_me: false
})
};
fetch('https://api.glassmarkets.io/v1/passkeys/login/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"user": {
"username": "<string>",
"first_name": "<string>",
"id": 123,
"last_name": "<string>",
"email": "jsmith@example.com",
"is_staff": true
},
"expiry": "2023-11-07T05:31:56Z",
"token": "<string>",
"csrf_token": "<string>"
}Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data

